### Method

# FwupdPlugin Device set_target

since: 2.0.0

#### Declaration [src]

    void
    fu_device_set_target (
      FuDevice* self,
      FuDevice* target
    )

#### Description [src]

Sets the target device where `FuDeviceEvent` objects added to `self` should actually be added.

Any existing events added to `self` are added immediately to `target`.

Available since: 2.0.0

#### Parameters

`target`

  Type: `FuDevice`

  A `FuDevice`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.